Can't install any new software!

Discussions Regarding Software

Moderator: Moderators

Re: Can't install any new software!

Postby andyb » Fri Aug 22, 2008 13:18

sjieke

The output from ls -l /usr/lib/ |grep 'libexiv':

-rw-r--r-- 1 root root 2802632 2008-07-28 10:04 libexiv2.a
-rw-r--r-- 1 root root 809 2008-07-28 10:04 libexiv2.la
lrwxrwxrwx 1 root root 17 2008-08-22 11:45 libexiv2.so -> libexiv2.so.4.0.0
lrwxrwxrwx 1 root root 17 2008-08-22 11:45 libexiv2.so.4 -> libexiv2.so.4.0.0
-rwxr-xr-x 1 root root 1188640 2008-07-28 10:04 libexiv2.so.4.0.0

I'm not entirely sure what that means, but I guess it suggests that I don't have the correct version of exiv2?

I'm afraid you'll have to talk me through where I'm creating the symlink- in usr/lib maybe?

I tried reinstalling gwenview again, but same outcome.

Thanks,
andyb
Baby Hen
 
Posts: 12
Joined: Wed Jul 09, 2008 18:01

Re: Can't install any new software!

Postby andyb » Fri Aug 22, 2008 14:12

If that still doesn't work, I would create an extra symlink 'libexiv2.so.2' that points to 'libexiv2.so'. Then gwenview will find the file and use 'libexiv2.so'. If 'libexiv2.so.4' is backwards compatible with 'libexiv2.so.2' then gwenview will work again.


That fixed it- thanks!

Anyone any ideas for making Kiax or Yate work?
andyb
Baby Hen
 
Posts: 12
Joined: Wed Jul 09, 2008 18:01

Re: Can't install any new software!

Postby sjieke » Fri Aug 22, 2008 15:32

To create a symlink you need the 'ln' command. The syntax is
Code: Select all
ln -s /some/name spud    # creates link ./spud pointing to /some/name


According to your output
andyb wrote:lrwxrwxrwx 1 root root 17 2008-08-22 11:45 libexiv2.so -> libexiv2.so.4.0.0
lrwxrwxrwx 1 root root 17 2008-08-22 11:45 libexiv2.so.4 -> libexiv2.so.4.0.0
-rwxr-xr-x 1 root root 1188640 2008-07-28 10:04 libexiv2.so.4.0.0

all symlinks point to /usr/lib/libexiv2.so.4.0.0 so I would let the libexiv2.so.2 link also point to libexiv2.so.4.0.0 instead of libexiv2.so The command to use is then
Code: Select all
ln -s /usr/lib/libexiv2.so.4.0.0 /usr/lib/libexiv2.so.2 # creates link /usr/lib/libexiv2.so.2 pointing to /usr/lib/libexiv2.so.4.0.0


But you probably figured this out yourself (looking at your last post...). I just put the command with info here so if someone else has the same issue, he can use it.

As for your other programs I can't help. A segmentation fault is a lot harder to track down, to be able to solve it a lot more debugging info is needed, but I don't know where you can find or enable that for Kiax.
And for Yate you didn't post any error message (probably you don't see one yourself), so also some debug or log files are needed there (I don't know where to get them).
sjieke
Technological Hen
 
Posts: 321
Joined: Thu Mar 01, 2007 10:46
Location: Maldegem, Belgium

Re: Can't install any new software!

Postby andyb » Fri Aug 22, 2008 16:08

Thanks for your help- that's one problem solved anyway (gwenview)

The only output from Yate is:

"Yate engine is initialized and starting up"

Then nothing!
andyb
Baby Hen
 
Posts: 12
Joined: Wed Jul 09, 2008 18:01

Previous

Return to Software in General

Who is online

Users browsing this forum: No registered users and 5 guests

cron